<!--- Copyright (C) 2009-2013 Typesafe Inc. <http://www.typesafe.com> -->
### Testing your application

- [[Testing with ScalaTest | ScalaTestingWithScalaTest]]
- [[Writing functional tests with ScalaTest | ScalaFunctionalTestingWithScalaTest]]
- [[Testing with specs2 | ScalaTestingWithSpecs2]]
- [[Writing functional tests with specs2 | ScalaFunctionalTestingWithSpecs2]]

### Main concepts

- [[HTTP programming | ScalaActions]]
- [[Asynchronous HTTP programming | ScalaAsync]]
- [[The template engine | ScalaTemplates]]
- [[HTTP form submission and validation | ScalaForms]]
- [[Working with JSON | ScalaJson]]
- [[Working with XML | ScalaXmlRequests]]
- [[Handling file upload | ScalaFileUpload]]
- [[Accessing an SQL database | ScalaDatabase]]
- [[Using the Cache | ScalaCache]]
- [[Calling WebServices | ScalaWS]]
- [[Integrating with Akka | ScalaAkka]]
- [[Internationalization | ScalaI18N]]
- [[The application Global object | ScalaGlobal]]
- [[Testing your application | ScalaTestingYourApplication]]
- [[Logging|ScalaLogging]]
    
### Advanced topics

- [[Handling data streams reactively | Iteratees]]
- [[HTTP API | HttpApi]]
- [[HTTP Filters | ScalaHttpFilters]]
- [[Dependency Injection | ScalaDependencyInjection]]
- [[Extending Play|ScalaPlugins]]
